List clinic sheets
The latest 100 sheets, newest day first, each with how many animals it has and how many rows are recorded. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
clinic-sheets
List clinic sheets
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-sheets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-sheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-sheets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"form_name": "<string>",
"held_on": "2023-12-25",
"name": "<string>",
"place": "<string>",
"status": "open",
"recorded_at": "<string>",
"animal_count": 123,
"recorded_count": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List clinic sheets
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/clinic-sheets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-sheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-sheets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"form_name": "<string>",
"held_on": "2023-12-25",
"name": "<string>",
"place": "<string>",
"status": "open",
"recorded_at": "<string>",
"animal_count": 123,
"recorded_count": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
